Page MenuHomePhabricator

AbuseLog entries associated with revdel'd revisions are hidden from administrators
Closed, ResolvedPublic

Description

Steps to reproduce:

  • Be a sysop.
  • Find a revdel'd revision which also triggered some filter(s) (eg. a tagged one).
  • Try to find an AbuseLog entry for the edit.

If you don't have abusefilter-hidden-log right, you won't succeed. I think this doesn't make sense (unless the entry is hidden as well, otherwise you need special rights). If I can see the text that was hidden, why cannot I see the log entry, which reveals nothing I don't know?

Giving live examples would be pointless because logs are usually hidden from ordinary users.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added subscribers: Scoopfinder, Aklapper. · View Herald TranscriptApr 7 2018, 2:54 PM

Please note that abusefilter-hidden-log and abusefilter-hide-log are Oversight-level permissions that must not be granted to non OS people.

Huji added a subscriber: Huji.Apr 17 2018, 12:23 AM

@MarcoAurelio That is not relevant. abusefilter-hidden-log and abusefilter-hide-log are about the abuse logs. This issue is about when a page (e.g. an article) has a revision that triggered a filter and then was revdel'ed.

Thanks for closing the duplicate, mateg! I searched the board and couldn't find an existing task.

Copying over some points from T197480:

Daimona claimed this task.Jul 13 2018, 10:28 PM
Daimona added a subscriber: Daimona.

I'm looking at this, it's quite a simple fix focused on avoiding a string to bool conversion. However, this could make another problem appear, i.e. T44734 for revdel'ed revisions. I'm seizing the opportunity to fix both.

Change 445727 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Show AF logs for a revdeled revision if the user can see the revision

https://gerrit.wikimedia.org/r/445727

Huji closed this task as Resolved.Jul 18 2018, 1:40 AM
Huji removed a project: Patch-For-Review.

@Daimona should we also close T44734 now that this is merged?

Change 445727 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Show AF logs for a revdeled revision if the user can see the revision

https://gerrit.wikimedia.org/r/445727

@Huji No, I've been too optimistic while saying that I would have tried to fix both. Per my comment on that task (and the other before), it won't be easy at all.